Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core
Class Logger.PrivateConfig

    java.lang.Object
      org.apache.logging.log4j.core.Logger.PrivateConfig

All Implemented Interfaces:
  Serializable

Enclosing class:
  Logger

    protected class Logger.PrivateConfig

extends Object
implements Serializable

The binding between a Logger and its configuration.

See Also:
  Serialized Form

Field Summary
`Configuration` | `config`
`LoggerConfig` | `loggerConfig`

Constructor Summary
`Logger.PrivateConfig(Configuration config, Logger logger)`
`Logger.PrivateConfig(Logger.PrivateConfig pc, org.apache.logging.log4j.Level level)`
`Logger.PrivateConfig(Logger.PrivateConfig pc, LoggerConfig lc)`

Method Summary
`void` | `logEvent(LogEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loggerConfig

    public final LoggerConfig loggerConfig

### config

    public final Configuration config

Constructor Detail

### Logger.PrivateConfig

    public Logger.PrivateConfig(Configuration config,
                                Logger logger)

### Logger.PrivateConfig

    public Logger.PrivateConfig(Logger.PrivateConfig pc,
                                org.apache.logging.log4j.Level level)

### Logger.PrivateConfig

    public Logger.PrivateConfig(Logger.PrivateConfig pc,
                                LoggerConfig lc)

Method Detail

### logEvent

    public void logEvent(LogEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.